Botan 1.10.17

Public Member Functions | List of all members
Botan::Cert_Extension::Certificate_Policies Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Certificate_Policies:

## Public Member Functions
| Certificate_Policies ()
| Certificate_Policies (const std::vector< OID > &o)
Certificate_Policies * | copy () const
std::vector< OID > | get_oids () const
OID | oid_of () const

## Detailed Description

Certificate Policies Extension

Definition at line 266 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Certificate_Policies() [1/2]

Botan::Cert_Extension::Certificate_Policies::Certificate_Policies | ( |  | ) |
| inline

Definition at line 272 of file x509_ext.h.

272 {}

## ◆ Certificate_Policies() [2/2]

Botan::Cert_Extension::Certificate_Policies::Certificate_Policies | ( | const std::vector< OID > & | o | ) |
| inline

Definition at line 273 of file x509_ext.h.

273 : oids(o) {}

## Member Function Documentation

## ◆ copy()

Certificate_Policies* Botan::Cert_Extension::Certificate_Policies::copy | ( |  | ) | const
| inline virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 269 of file x509_ext.h.

270 { return new Certificate_Policies(oids); }
Botan::Cert_Extension::Certificate_Policies::Certificate_Policies
Certificate_Policies()
Definition: x509_ext.h:272

## ◆ get_oids()

std::vector<OID> Botan::Cert_Extension::Certificate_Policies::get_oids | ( |  | ) | const
| inline

Definition at line 275 of file x509_ext.h.

275 { return oids; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp